# import matplotlib.pyplot as plt
from navipy.database import DataBaseLoad
import navipy.processing as processing
import pkg_resources


# 1) Connect to the database
mydb_filename = pkg_resources.resource_filename(
    'navipy', 'resources/database.db')
mydb = DataBaseLoad(mydb_filename)
# 2) Define the position-orinetation at which
# we want the image
rowid = 12
my_scene = processing.pcode.scene(mydb, rowid=rowid)
my_pcv = processing.pcode.pcv(my_scene, mydb.viewing_directions)
